import styles from './index.less';

export default function Button({ children, primary, inline, ...rest}) {
  const classNames = [styles.btn];
  if (primary) {
    classNames.push(styles.primary);
  }
  if (inline) {
    classNames.push(styles.inline);
  }
  return <button className={classNames.join(' ')} {...rest}>{children}</button>
};
